import { NhostClientConstructorParams } from './types';

export declare const LOCALHOST_REGEX: RegExp;
/**
 * \`subdomain\` and `region` should be used when running the Nhost platform
 *
 * @param subdomainAndRegion
 * @param service
 * @returns
 */
export declare function urlFromSubdomain(subdomainAndRegion: Pick<NhostClientConstructorParams, 'region' | 'subdomain'>, service: string): string;
/**
 * Combines a base URL and a path into a single URL string.
 *
 * @param baseUrl - The base URL to use.
 * @param path - The path to append to the base URL.
 * @returns The combined URL string.
 */
export declare function buildUrl(baseUrl: string, path: string): string;
//# sourceMappingURL=helpers.d.ts.map